Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1877371 - NooBaa UI warning message on Deploy Kubernetes Pool process - typo and shown number is incorrect
Summary: NooBaa UI warning message on Deploy Kubernetes Pool process - typo and shown ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenShift Container Storage
Classification: Red Hat
Component: Multi-Cloud Object Gateway
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: OCS 4.6.0
Assignee: Nimrod Becker
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-09 13:24 UTC by Filip Balák
Modified: 2020-12-17 06:24 UTC (History)
5 users (show)

Fixed In Version: v4.6.0-86.ci
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-17 06:24:14 UTC
Target Upstream Version:


Attachments (Terms of Use)
Node PV Size = 15 GB (92.46 KB, image/png)
2020-09-09 13:24 UTC, Filip Balák
no flags Details
Node PV Size = 16 GB (91.57 KB, image/png)
2020-09-09 13:25 UTC, Filip Balák
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github noobaa noobaa-core pull 6165 0 None closed Fix warning message 2020-10-28 14:54:59 UTC
Github noobaa noobaa-core pull 6168 0 None closed Backport to 5.6 2020-10-28 14:55:14 UTC
Red Hat Product Errata RHSA-2020:5605 0 None None None 2020-12-17 06:24:35 UTC

Description Filip Balák 2020-09-09 13:24:38 UTC
Created attachment 1714279 [details]
Node PV Size = 15 GB

Description of problem (please be detailed as possible and provide log
snippests):
If user provides low "Node PV Size" during Deploy Kubernetes Pool process then there appears red label "Please enter a whole number greater then <some-number>".

There are 2 problems with the label:
 - It should say "Please enter a whole number greater than <some-number>" instead of "Please enter a whole number greater then <some-number>".
 - The logic of the label is wrong because if the label is "Please enter a whole number greater then 16" and user provides exactly 16 then the label disappears and the number is taken. There should be "Please enter a whole number greater than 15" or something like "Please enter a whole number greater or equal than 16".

Version of all relevant components (if applicable):
ocs-operator.v4.5.0-76.ci

Does this issue impact your ability to continue to work with the product
(please explain in detail what is the user impact)?
no

Is there any workaround available to the best of your knowledge?
no

Rate from 1 - 5 the complexity of the scenario you performed that caused this
bug (1 - very simple, 5 - very complex)?
1

Can this issue reproducible?
yes

Can this issue reproduce from the UI?
yes

If this is a regression, please provide more details to justify this:


Steps to Reproduce:
1. Log into MCG Management Console.
2. Navigate to Resources.
3. Click on "Deploy Kubernetes Pool"
4. Fill in some name, click Next
5. Provide low Node PV Size (1 GB)


Actual results:
There appears red label "Please enter a whole number greater then <some-number>".

Expected results:
There appears red label "Please enter a whole number greater or equal than <some-number>".

Additional info:

Comment 2 Filip Balák 2020-09-09 13:25:18 UTC
Created attachment 1714280 [details]
Node PV Size = 16 GB

Comment 5 Filip Balák 2020-09-16 14:29:06 UTC
Current message is "Please enter a whole number greater than 15" and disappears when number 16 or greater is provided. -> VERIFIED

Tested with:
OCS ocs-operator.v4.6.0-87.ci
OCP 4.6.0-0.nightly-2020-09-16-062819

Comment 8 errata-xmlrpc 2020-12-17 06:24:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Red Hat OpenShift Container Storage 4.6.0 security, bug fix, enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5605


Note You need to log in before you can comment on or make changes to this bug.